[ req ]
default_bits		= 4096
default_md		= sha512
distinguished_name	= req_distinguished_name
prompt = no
x509_extensions	= v3_ca
req_extensions = v3_req

[ req_distinguished_name ]
C=US
ST=North Carolina
L=Durham
O={{ cert.org }}
OU={{ cert.orgunit }}
emailAddress={{ cert.email }}
commonName={{ cert.common_name }}

[ v3_req ]
basicConstraints = CA:FALSE
keyUsage = nonRepudiation, digitalSignature, keyEncipherment
{% if cert.alt_names %}
subjectAltName = @alt_names
{% endif %}

[ v3_ca ]
subjectKeyIdentifier=hash
authorityKeyIdentifier=keyid:always,issuer:always
basicConstraints = CA:true
{% if cert.alt_names %}
subjectAltName = @alt_names
{% endif %}

{% if cert.alt_names %}
[ alt_names ]
{{ cert.alt_names|join("\n") }}
{% endif %}